This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 467883 - Cluster support for TX transactions
Cluster support for TX transactions
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
urgent Severity urgent
: 1.1
: ---
Assigned To: Alan Conway
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 10:16 EDT by Alan Conway
Modified: 2011-08-12 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:34:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-10-21 10:16:30 EDT
Description of problem:

Replicate transactional state for TX transactions in the cluster.
Comment 1 Frantisek Reznicek 2008-10-31 12:26:21 EDT
No test info. Putting NEEDINFO flag.
Comment 2 Alan Conway 2008-10-31 13:52:10 EDT
Things to test for cluster tx support:
In a multi-node cluster: 
 - start a tx transaction on one node, commit, verify results visible on all nodes.
 - start a tx transaction, do some work, rollback. Verify results *not* visible on all nodes.
 - start a tx transaction, do some work. Add a new cluster node. do more work and commit - verify results visible on new node.
 - start a tx transaction, do some work. Add a new cluster node. do more work and rollback - verify results not visible on new node.

These cases can probably be combined to avoid starting multiple clusters, e.g. do first 2 tests on one cluster, the start 2 tx transactions & add new member commit one rollback the other etc.
Comment 3 Alan Conway 2008-11-05 10:32:45 EST
Comitted r711587.

Unit test is qpid/cpp/src/tests/cluster_test.cpp - test case testTxTransaction
Comment 5 Frantisek Reznicek 2008-11-26 09:27:21 EST
Complete cluster test ran without failures. Feature implemented.
Validated on RHEL 5.2 i386 / x86_64 in 3 node openais cluster. (rev:720810)

->VERIFIED
Comment 7 errata-xmlrpc 2009-02-04 10:34:24 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html

Note You need to log in before you can comment on or make changes to this bug.